Subject: Re: FVWM: tabbing in fvwm?

From: [email-masked] (Jan-Erik Borg)
Date: Wed, 7 Feb 96 08:54:25 +0100

> Yes, that's exactly what I'm using it for.  My typical layout consists
> of about half a dozens xterms and one emacs window spread along the
> screen bottom.  Graphically, it looks something like this (assuming
> xterm1 is on top of the other xterms and emacs is on top of xterm4):
> 
> 	+--------+ +--------+ +--------+ +--------+ +--------+
> 	| xterm1 | | xterm2 | | xterm3 | | xterm4 | | emacs  |
> 	+--------+-----------------------------+--+-+--------+-------//
> 	|				       |    |
> 	|				       |    |
>       |				       |    |
>       |       			       |    |
> 	|				       |    |
> 	|				       |    |
> 	+--------------------------------------+----+---------------//
> 
> Thus, the tabs give direct access to any window.  With full title
> bars, the above configuration would imply that xterm2 and xterm3 would
> be hidden behind xterm1.

> I *do* appreciate your efforts to avoid bloating fvwm.  However, I
> also believe that tabbing is not just another "feature"---it really
> can improve efficiency in interacting with a windowing system.

Though I haven't used any thing like this, I agree that it is a useful feature.
It has lower priority that bug fixes and a stable release, but then ...

Jan-Erik Borg

-------------------------------------------------------------------------------
E-mail:  [email-masked]
Tel:     +46 8 58 02 47 09
Fax:     +46 8 58 02 01 90
-------------------------------------------------------------------------------
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Christopher Wolf)
Date: Wed, 7 Feb 96 09:12:52 CST

> From [email-masked] Wed Feb  7 07:11:21 1996
> From: Jonathan Watson <[email-masked]>
> X-Sender: watson@altair
> To: [email-masked]
> Subject: Re: FVWM: tabbing in fvwm?
> Sender: [email-masked]
> 
> I don't know if the I'd go so far to say tabs are silly...But Brian makes 
> a good point: Why lump all your stuff together on 1 desktop when you can 
> spread it over a bunch?? I run about 5-10 xterms and applications. You 
> don't need tabbing if you have multiple desktops. The other thing I do is 
> bind Raise/Lower to the F1 key...If I stack related windows on a desktop I 
> can tap through them quckly with that. Just use a 3x1 vitual desktop and the 
> 'paging' feature to jump from desktop to desktop. There's my 2 bits...
> 
> 	Jon Watson

Unless of course the information is intimately related, and you have to deal
with short term windows.  Trying to compare info in windows spanned across
desktops means a lot of switching.  And if you create some short term windows,
and then end up moving over your desktop, you either have to make them 
sticky or switch between desktops again.  The point isn't how YOU do it.  I
use two desktops 1x1 and cram a lot of windows into them.  My Open/Close
and Front/Back keys get quite a workout.  Even on my Sparc-5 I find the 
difference between the window switching delay and window fronting
to be more than I care to deal with.  While I probably will continue in
my current pattern, there seems to be a lot of people who keep saying
"You're doing it wrong!", as if their way was the only way.

-Wolf